##
## SPDX-FileCopyrightText: NVIDIA CORPORATION & AFFILIATES
## Copyright (c) 2024-2025 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
## SPDX-License-Identifier: LicenseRef-NvidiaProprietary
##
## NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
## property and proprietary rights in and to this material, related
## documentation and any modifications thereto. Any use, reproduction,
## disclosure or distribution of this material and related documentation
## without an express license agreement from NVIDIA CORPORATION or
## its affiliates is strictly prohibited.
##

- name: Get PCI address from dpu
  import_role:
    name: dpu/get-pci-address-from-dpu

- name: Get DPU SN from DPU
  command: "lspci -vv -s {{ pci_address_from_dpu }}"
  register: result

- name: Extract DPU SN from DPU
  ansible.builtin.set_fact:
    dpu_sn_from_dpu: "{{ (result.stdout | regex_search('Serial number: (\\S+)', '\\1') or []) | first | default('') }}"

- name: Print the DPU SN from DPU
  ansible.builtin.debug:
    msg: "{{ dpu_sn_from_dpu }}"
